/*
 * rijndael-alg-fst.h   v2.4   April '2000
 *
 * Optimised ANSI C code
 *
 * #define INTERMEDIATE_VALUE_KAT to generate the Intermediate Value Known Answer Test.
 */

#ifndef __RIJNDAEL_ALG_FST_H
#define __RIJNDAEL_ALG_FST_H

#ifndef LIB_DEBUG
	#include <linux/string.h>
#else
	#include <string.h>
#endif

#define BINARY_KEY_MATERIAL

#define MAXKC			(256/32)
#define MAXROUNDS		14

#ifndef USUAL_TYPES
#define USUAL_TYPES
typedef unsigned char	byte;
typedef unsigned char	word8;	
typedef unsigned short	word16;	
typedef unsigned int	word32;
#endif /* USUAL_TYPES */

#endif /* __RIJNDAEL_ALG_FST_H */
