debian/libc/DEBIAN/shlibs: debian/rules.d/shlibs.mk $(DEB_HOST_GNU_TYPE)
	(file="$(srcdir)/shlib-versions \
		$(wildcard $(srcdir)/*/shlib-versions)"; \
	for f in $$file; do \
	   sed 's/#.*$$//' $$f | while read conf versions; do \
	     test -n "$$versions" && \
	     test `expr '$(DEB_HOST_GNU_CPU)-unknown-$(config-os)' \
	                : "$$conf"` != 0 || continue; \
	     for v in $$versions; do \
	       lib=`echo $$v | sed 's/=.*$$//'`; \
	       if eval "test -z \"\$$vers_lib$$lib\""; then \
	         eval vers_lib$${lib}=yes; \
	         number=`echo $$v | sed "s/^.*=//"`; \
	         case $$number in \
		2) if [ "$$lib" = "libdb1" ]; then \
		   echo "libdb $$number $(shlib_depend)"; \
		   else echo "$$lib $$number $(shlib_depend)"; fi;; \
		3) if [ "$$lib" = "libdb" ]; then \
		   echo "libdb $$number libdb2 (>= 1:2.4.14-7)"; \
		   else echo "$$lib $$number $(shlib_depend)"; fi;; \
	           [0-9]*) echo "$$lib $$number $(shlib_depend)";; \
		   ld*) lib=`echo $$number | sed "s/.so.*$$//"`; \
			number=`echo $$number | sed "s/^.*\.//"`; \
			echo "/lib/$$lib $$number $(shlib_depend)"; \
			echo "$$lib $$number $(shlib_depend)";; \
	           *) echo "$$lib $$number $(shlib_depend)";; \
	         esac; \
	       fi; \
	     done; \
	   done; \
	 done;) > $@T; exit 0
	grep -Ev '(^libnss_ldap|^libnss1)' $@T | sort > $@
	rm -f $@T
	chmod 0644 $@
