crypt_addon := $(top_srcdir)glibc-crypt-2.1.tar.gz
threads_addon := $(top_srcdir)glibc-linuxthreads-$(VERSION)$(VERSEXT).tar.bz2
nssv1_addon := $(top_srcdir)glibc-nss-v1-2.0.3.tar.gz
addons := $(crypt_addon) $(threads_addon) $(nssv1_addon)
source_tarballs := $(top_srcdir)glibc-$(VERSION)$(VERSEXT).tar.bz2 $(addons)

orig-source: ../glibc_$(VERSION).orig.tar.gz
../glibc_$(VERSION).orig.tar.gz: $(source_tarballs)
	-mv $@ $@~
	if [ ! -d ../glibc-$(VERSION).orig ]; \
	then \
		mkdir ../glibc-$(VERSION).orig; \
	else \
		rm -rf ../glibc-$(VERSION).orig; \
		mkdir ../glibc-$(VERSION).orig; \
	fi
	-mkdir tmp-clear-old
	mv -f prep.sh version.mk clean.sh $(source_tarballs) tmp-clear-old/.
	rm -f *.gz prep.sh version.mk clean.sh
	mv -f tmp-clear-old/* .
	rmdir tmp-clear-old
	cp -a $(source_tarballs) prep.sh version.mk clean.sh ../glibc-$(VERSION).orig/.
	cd .. && tar cf - glibc-$(VERSION).orig | gzip -9v > $@
	rm -rf ../glibc-$(VERSION).orig

source: clean ../glibc_$(VERSION).orig.tar.gz
	cd .. && dpkg-source -b glibc-$(VERSION)
