# alpha-linux uses 6.1 as libc's soname
ifeq ($(DEB_HOST_GNU_TYPE),alpha-linux)
libc = libc6.1
else
# libc0.2 for hurd
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
libc = libc0.2
else
libc = libc6
endif
endif

# Depend for shlibs file
# DWARF2-based EH first appears on alpha.
ifeq ($(DEB_HOST_GNU_TYPE),alpha-linux)
  shlib_depend = $(libc) (>= 2.1.2-1)
else
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
  shlib_depend = $(libc) (>= 2.1.3)
else
  shlib_depend = $(libc) (>= 2.1.2)
endif
endif
