#/bin/sh
# kerneldir als $1 angeben

[ -z $1 ] && exit

LINUX="$1/linux"
LOSA_PATCH_DIR="../../losa/losa-snap2002Jul19/patches/linux-2.4.14.patch"


echo -n "Apply patch 'losa' ? [y/N] "
  read ans
  case $ans in
    "j"|"J"|"y"|"Y")
      ( cd $LOSA_PATCH_DIR 

        mkdir $LINUX/audit

        cp ../../kladt/audit/*.c $LINUX/audit/
        cp ../../kladt/audit/*.h $LINUX/audit/
        cp ../../kladt/audit/Makefile $LINUX/audit
        cp ../../kladt/audit/Config.in $LINUX/audit

        chmod 755 $LINUX/audit
        chmod 644 $LINUX/audit/*.c
        chmod 644 $LINUX/audit/Makefile
        chmod 644 $LINUX/audit/Config.in

        for i in `/bin/ls ../../kladt/include/`
        do
                cp ../../kladt/include/$i $LINUX/include/linux
                chmod 644 $LINUX/include/linux/$i
        done

        cp ./linux-2.4.14-losa.patch $LINUX/../
        cd $LINUX/../
        patch -p0 < linux-2.4.14-losa.patch
        rm -f $LINUX/../linux-2.4.14-losa.patch

      )	
    ;;
    *)
    ;;
esac    
