$(glibc)-doc:	$(stamp_install) debian/control $(mkdir)/sysdeps.mk
	$(checkroot)
	$(debian-clean)
	-rm -rf $(tmpdir)/$@

	$(make_directory) $(tmpdir)/$@$(infodir)
	$(INSTALL_DATA) $(install_root)$(infodir)/*.info* $(tmpdir)/$@$(infodir)/.
	-gzip -9f $(tmpdir)/$@$(infodir)/*

	$(make_directory) $(tmpdir)/$@$(mandir)/man3
	$(MAKE) -C $(srcdir)/linuxthreads/man all
	$(make_directory) $(install_root)$(mandir)/man3
	$(INSTALL_DATA) $(srcdir)/linuxthreads/man/*.3thr \
	$(install_root)$(mandir)/man3/.
	$(INSTALL_DATA) $(install_root)$(mandir)/man3/* $(tmpdir)/$@$(mandir)/man3/.
	-gzip -f9 $(tmpdir)/$@$(mandir)/man?/*

	$(make_directory) $(tmpdir)/$@$(docdir)/$@
	$(MAKE) -C $(objdir) subdirs=manual info
	cd $(srcdir)/manual && makeinfo --html libc.texinfo
	$(INSTALL_DATA) $(srcdir)/manual/libc.html $(tmpdir)/$@$(docdir)/$@/.
	$(INSTALL_DATA) $(srcdir)/manual/dir-add.info \
	$(tmpdir)/$@$(docdir)/$@/libc.info
	-gzip -f9 $(tmpdir)/$@$(docdir)/$@/libc.info
	$(INSTALL_DATA) $(srcdir)/ChangeLog* $(tmpdir)/$@$(docdir)/$@/.
	-gzip -f9 $(tmpdir)/$@$(docdir)/$@/ChangeLog*
	ln -sf ChangeLog.gz $(tmpdir)/$@$(docdir)/$@/changelog.gz
	$(INSTALL_DATA) $(srcdir)/linuxthreads/FAQ.html $(tmpdir)/$@$(docdir)/$@/FAQ.threads.html
	$(INSTALL_DATA) debian/changelog $(tmpdir)/$@$(docdir)/$@/changelog.Debian
	-gzip -f9 $(tmpdir)/$@$(docdir)/$@/changelog.Debian
	$(INSTALL_DATA) debian/copyright $(tmpdir)/$@$(docdir)/$@/.

	cp -a debian/$@/* $(tmpdir)/$@
	dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@
	chown -R root.root $(tmpdir)/$@
	chmod -R go=rX $(tmpdir)/$@
	dpkg --build $(tmpdir)/$@ ..
