$(libc)-64-dev: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
	$(checkroot)
	$(debian-clean)
	-rm -rf $(tmpdir)/$@

	$(make_directory) $(tmpdir)/$@/DEBIAN
	$(make_directory) $(tmpdir)/$@$(lib64dir)
	$(INSTALL_DATA) $(install_root)$(lib64dir)/*.o $(tmpdir)/$@$(lib64dir64)/.
	$(INSTALL_DATA) $(install_root)$(lib64dir)/*.a $(tmpdir)/$@$(lib64dir)/.
	rm -f $(tmpdir)/$@$(lib64dir)/*_?.a
ifeq ($(DEB_BUILD_OPTION_STRIP),yes)
# Don't strip linker scripts.
	@tostrip=; for file in $(tmpdir)/$@$(lib64dir)/*; do \
	  case `file $$file` in \
	  *text) ;; *) tostrip="$$tostrip $$file" ;; esac; \
	done; echo "$(STRIP) -g $$tostrip"; \
	$(STRIP) -g $$tostrip
endif
cp -df $(install_root)$(lib64dir)/lib*.so $(tmpdir)/$@$(lib64dir)/.
# Make links absolute, not relative
	cd $(tmpdir)/$@$(lib64dir); \
	for link in `find . -name '*.so' -type l`; do \
	  linksrc=$$(readlink $$link | sed 's%../..%%'); \
	  rm -f $$link; ln -sf $$linksrc $$link
endif
	$(make_directory) $(tmpdir)/$@$(includedir)/asm-sparc64
	cp -a $(LINUX_SOURCE64)/include/asm-sparc/* \
		$(tmpdir)/$@$(includedir)/asm-sparc64
	$(make_directory) $(tmpdir)/$@$(docdir)
	ln -s $(libc)-dev $(tmpdir)/$@$(docdir)/$@

	cp -a debian/$@/* $(tmpdir)/$@/DEBIAN

	dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@ \
	-DDepends="$(libc)-dev (= $(DEBVERSION))"
	chown -R root.root $(tmpdir)/$@
	chmod -R go=rX $(tmpdir)/$@
	dpkg --build $(tmpdir)/$@ ..

