$(libc): $(stamp_install) debian/control $(mkdir)/sysdeps.mk debian/libc-64/DEBIAN/shlibs
	$(checkroot)
	$(debian-clean)
	-rm -rf $(tmpdir)/$@

	$(make_directory) $(tmpdir)/$@/lib/64
	$(INSTALL_PROGRAM) $(install_root64)/lib/64/ld-$(VERSION).so $(tmpdir)/$@/lib/64/.
	$(INSTALL_DATA) $(install_root64)/lib/64/lib*-$(VERSION).so $(tmpdir)/$@/lib/64/.
	$(INSTALL_PROGRAM) $(install_root64)/lib/64/libc-$(VERSION).so $(tmpdir)/$@/lib/64/.
#	$(INSTALL_DATA) $(install_root64)/lib/libSegFault.so $(tmpdir)/$@/lib/64/.
ifeq ($(threads),yes)
	$(INSTALL_DATA) $(install_root)/lib/64/libpthread-0.8.so $(tmpdir)/$@/lib/64/.
	$(INSTALL_DATA) $(install_root)/lib/64/libthread_db-1.0.so $(tmpdir)/$@/lib/64/.
endif
	@set -e; \
	cd $(install_root)/lib; \
	for l in `find . -type l -name '*.so.*'`; \
	do cp -vdf $$l $(tmpdir)/$@/lib/.; done
ifeq ($(DEB_BUILD_OPTION_STRIP),yes)
  ifeq ($(DEB_HOST_GNU_CPU),i386)
	$(STRIP) -g -K _dl_debug_state -R .note -R .comment $(tmpdir)/$@/lib/64/ld-$(VERSION).so
  endif
	cd $(tmpdir)/$@ && \
	$(STRIP) --strip-unneeded -R .note -R .comment lib/64/lib*-$(VERSION).so
ifeq ($(threads),yes)
	$(STRIP) --strip-debug -R .note -R .comment $(tmpdir)/$@/lib/64/libpthread-0.8.so
	$(STRIP) --strip-unneeded -R .note -R .comment $(tmpdir)/$@/lib/64/libthread_db-1.0.so
endif
endif
	$(make_directory) $(tmpdir)/$@$(docdir)
	ln -sf $(libc) $(tmpdir)/$@$(docdir)/$@
	dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@ -DDepends="libc6 (= $(DEBVERSION)), \
		gcc (>= 2.95.2-1.2)"
	chown -R root.root $(tmpdir)/$@
	chmod -R go=rX $(tmpdir)/$@
	dpkg --build $(tmpdir)/$@ ..
