$(libc)-bin: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
	$(checkroot)
	$(debian-clean)
	rm -rf $(tmpdir)/$@

	$(make_directory) $(tmpdir)/$@$(sbindir)
	$(make_directory) $(tmpdir)/$@$(bindir)
	$(INSTALL_PROGRAM) $(install_root)$(bindir)/db_* $(tmpdir)/$@$(bindir)/.
	rename 's/db_/glibcdb_/g' $(tmpdir)/$@$(bindir)/db_*
ifeq ($(DEB_BUILD_OPTION_STRIP),yes)
	-$(STRIP) --strip-unneeded -R .note $(tmpdir)/$@$(bindir)/* $(tmpdir)/$@$(sbindir)/*
endif
	$(make_directory) $(tmpdir)/$@$(mandir)/man1
	$(INSTALL_DATA) debian/manpages/db2/*.1 $(tmpdir)/$@$(mandir)/man1/.
	rename 's/db_/glibcdb_/g' $(tmpdir)/$@$(mandir)/man1/db_*
	ln -sf glibcdb_dump.1.gz $(tmpdir)/$@$(mandir)/man1/glibcdb_dump185.1.gz
	-gzip -9f $(tmpdir)/$@$(mandir)/man?/*

	$(make_directory) $(tmpdir)/$@$(docdir)/$@
	$(INSTALL_DATA) debian/changelog $(tmpdir)/$@$(docdir)/$@/changelog.Debian
	gzip -9f $(tmpdir)/$@$(docdir)/$@/changelog.Debian
	$(INSTALL_DATA) debian/copyright $(tmpdir)/$@$(docdir)/$@/.

	cp -a debian/$@/* $(tmpdir)/$@

	dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@
	chown -R root.root $(tmpdir)/$@
	chmod -R go=rX $(tmpdir)/$@
	dpkg --build $(tmpdir)/$@ ..
