nscd: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
	$(checkroot)
	$(debian-clean)
	-rm -rf $(tmpdir)/$@

	$(make_directory) $(tmpdir)/$@$(sbindir)

	$(INSTALL_PROGRAM) $(install_root)$(sbindir)/nscd \
		$(tmpdir)/$@$(sbindir)/.
	$(INSTALL_PROGRAM) $(install_root)$(sbindir)/nscd_nischeck \
		$(tmpdir)/$@$(sbindir)/.
ifeq ($(DEB_BUILD_OPTION_STRIP),yes)
	$(STRIP) --strip-unneeded -R .note $(tmpdir)/$@$(sbindir)/nscd*
endif
	cp -a debian/$@/* $(tmpdir)/$@

	$(INSTALL_DATA) $(srcdir)/nscd/nscd.conf $(tmpdir)/$@/etc/nscd.conf

	$(make_directory) $(tmpdir)/$@$(docdir)/$@

	$(INSTALL_DATA) debian/changelog \
		$(tmpdir)/$@$(docdir)/$@/changelog.Debian
	-find $(tmpdir)/$@$(docdir)/$@ -type f | xargs -r gzip -9f
	$(INSTALL_DATA) debian/copyright \
		$(tmpdir)/$@$(docdir)/$@/copyright

	dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@
	chown -R root.root $(tmpdir)/$@
	chmod -R go=rX $(tmpdir)/$@
	dpkg --build $(tmpdir)/$@ ..
