timezones: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
	$(checkroot)
	$(debian-clean)
	-rm -rf $(tmpdir)/$@

	$(make_directory) $(tmpdir)/$@$(datadir)
ifeq ($(cross_compiling),no)
	cp -a $(install_root)$(datadir)/zoneinfo \
		$(tmpdir)/$@$(datadir)/.
else
	# Timezones don't get installed when cross-compiling, so
	# attempt to copy them from the build system.
	-cp -a /usr/share/zoneinfo $(tmpdir)/$@$(datadir)/.
endif

	$(make_directory) $(tmpdir)/$@$(bindir)
	$(INSTALL_PROGRAM) $(install_root)$(bindir)/tzselect $(tmpdir)/$@$(bindir)/.

	$(make_directory) $(tmpdir)/$@$(mandir)/man1
	$(INSTALL_DATA) debian/manpages/tzconfig.1 $(tmpdir)/$@$(mandir)/man1/.
	$(INSTALL_DATA) debian/manpages/tzselect.1 $(tmpdir)/$@$(mandir)/man1/.
	-gzip -9f $(tmpdir)/$@$(mandir)/man?/*

	$(make_directory) $(tmpdir)/$@$(docdir)/$@
	$(INSTALL_DATA) debian/changelog \
	$(tmpdir)/$@$(docdir)/$@/changelog.Debian
	$(INSTALL_DATA) $(srcdir)/timezone/README \
	$(tmpdir)/$@$(docdir)/$@/README
	-gzip -9f $(tmpdir)/$@$(docdir)/$@/*
	$(INSTALL_DATA) debian/copyright $(tmpdir)/$@$(docdir)/$@/.

	cp -a debian/$@/* $(tmpdir)/$@
	dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@ $(timezones_control_flags)
	chown -R root.root $(tmpdir)/$@
	chmod -R go=rX $(tmpdir)/$@
	dpkg --build $(tmpdir)/$@ ..
