ifeq ($(DEB_HOST_GNU_CPU),alpha)
WANT_NSS1_COMPAT := yes
else
ifeq ($(DEB_HOST_GNU_CPU),i386)
WANT_LDD := no
WANT_NSS1_COMPAT := yes
else
ifeq ($(DEB_HOST_GNU_CPU),m68k)
WANT_LDD := no
WANT_NSS1_COMPAT := yes
else
ifeq ($(DEB_HOST_GNU_CPU),sparc)
WANT_LDD := no
WANT_LIB_64 := not yet
endif
endif
endif
endif

threads = yes
config-os = linux-gnu
add-ons=crypt
ifeq ($(threads),yes)
add-ons+=linuxthreads
endif
ifeq ($(WANT_NSS1_COMPAT),yes)
add-ons+=nss-v1
endif

ifneq ($(DEB_HOST_GNU_TYPE),m68k-linux)
  ifeq ($(DEB_HOST_GNU_TYPE),sparc-linux)
    linux_version := 2.2.18pre21-sparc
  else
    linux_version := 2.2.18
  endif
else
  linux_version := 2.2.10
endif

ifeq ($(cross_compiling),no)
  ifndef LINUX_SOURCE
    # kernel-headers-$linux-version package
    LINUX_SOURCE := /usr/src/kernel-headers-$(linux_version)
  else
    # Get it from the environment
    LINUX_SOURCE := $(strip $(shell echo ${LINUX_SOURCE}))
  endif
    with_headers := --with-headers=$(LINUX_SOURCE)/include
else
  # Cross compiles can just use sys-include
  with_headers :=
endif
