/*
 * Linux Operating System Audit
 *   written by Oliver Stecklina <stecklina@secunet.de>
 *
 * filename : audit_syms.c
 *
 * last edit : 09 Februar 2002
 *
 * content :
 *
 */

#include <linux/config.h>
#include <linux/module.h>

#include <linux/audit.h>

#ifdef CONFIG_NET_AUDIT

/* ctl.c */
EXPORT_SYMBOL(audit_net_doit);

/* net_buffer.c */
extern struct audit_dyn_buf *au_net_env_buf;

EXPORT_SYMBOL(au_net_env_buf);

/* net_func.c */
EXPORT_SYMBOL(audit_copy_mac);
EXPORT_SYMBOL(audit_copy_ipv4);
EXPORT_SYMBOL(audit_copy_dev);

#if defined(CONFIG_IPV6) || defined (CONFIG_IPV6_MODULE)
EXPORT_SYMBOL(audit_ipv6_rcv);
EXPORT_SYMBOL(audit_icmp_v6);
#endif

EXPORT_SYMBOL(audit_udp_rcv);
EXPORT_SYMBOL(audit_tcp_rcv);

#endif
