#!/bin/sh

LINUX="/usr/src/linux-2.4.14"

pwd=`pwd`

mkdir $LINUX/audit

cp ../../kladt/audit/*.c $LINUX/audit/
cp ../../kladt/audit/*.h $LINUX/audit/
cp ../../kladt/audit/Makefile $LINUX/audit
cp ../../kladt/audit/Config.in $LINUX/audit

chmod 755 $LINUX/audit
chmod 644 $LINUX/audit/*.c
chmod 644 $LINUX/audit/*.h
chmod 644 $LINUX/audit/Makefile
chmod 644 $LINUX/audit/Config.in

for i in `/bin/ls ../../kladt/include/`
do
	cp ../../kladt/include/$i $LINUX/include/linux
	chmod 644 $LINUX/include/linux/$i
done

cp ./linux-2.4.14-losa.patch $LINUX/../
cd $LINUX
patch -p1 < ../linux-2.4.14-losa.patch
rm -f $LINUX/../linux-2.4.14-losa.patch

cd $pwd
